Subject: Re: tc filter add ... fw ... action drop

From: Abhijit Menon-Sen <[email-masked]>
Date: Wed, 18 Jul 2007 15:57:16 +0530

At 2007-07-18 11:49:55 +0200, [email-masked] wrote:
>
> >   # tc filter add dev eth0 parent 1: protocol ip prio 0 handle
> >     0xfffffff fw police rate 1 burst 1 mpu 0 mtu 1 action drop
>
> It seems this is merely a parsing error, iproute doesn't have an
> "action" parameter and aborts parsing, so it uses the default
> value of "RECLASSIFY".

I can confirm that your patch deals with my command sensibly, and also
that "tc filter add ... conform-exceed drop/drop" does what I wanted.

> It never had this parameter [...]

That command is from a script that used to work with iproute2-ss020116
(2002!), which had the following in tc/m_police.c:

210     } else if (strcmp(*argv, "action") == 0) {
211             NEXT_ARG();
212             if (get_police_result(&p.action, &presult, *argv)) {

I don't know when that bit was dropped, but it used to be there. :-)

Thank you for your help.

-- ams